"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promisifyAmpersandMethod = void 0;
function promisifyAmpersandMethod(fn) {
    return (...args) => new Promise((resolve, reject) => {
        fn(...args, {
            success: (model) => {
                resolve(model);
            },
            error: (model, error) => {
                reject(error);
            },
        });
    });
}
exports.promisifyAmpersandMethod = promisifyAmpersandMethod;
//# sourceMappingURL=promisify-ampersand-method.js.map